{ lib, ... }:
{
    config = lib.mkDefault {
        i18n.defaultLocale = "en_GB.UTF-8";
        console.keyMap = "us";
        services.xserver.xkb.layout = "us-fruchti";
        services.openssh = {
            enable = true;
            settings = {
                PasswordAuthentication = false;
                KbdInteractiveAuthentication = false;
                X11Forwarding = true;
            };
        };

        nix.gc = {
            automatic = true;
            dates = "weekly";
            options = "--delete-older-than 30d";
        };
    };
}
