{ pkgs, ... }:
{
    programs.neovim = {
        enable = true;
        vimAlias = true;
        viAlias = true;
        defaultEditor = true;
        configure = {
            customRC = (builtins.readFile ./neovim-init.vim);
            packages.myVimPackage = with pkgs.vimPlugins; {
                start = [
                    vim-lastplace
                    direnv-vim
                    vim-addon-local-vimrc
                    vim-nix
                    vim-airline
                    vim-airline-themes
                    vim-colorschemes
                    changeColorScheme-vim
                    vim-dispatch
                    vimtex
                    vim-suda
                ]; 
                opt = [];
            };
        };
    };
}
