{ config, pkgs, lib, ... }:
{
    environment.systemPackages = with pkgs; [
        direnv nix-direnv
        tmux zellij
        wget
        rsync
        magic-wormhole
        git git-lfs
        gnupg
        file
        ripgrep
        fd
        htop
        ncdu
        killall
        ranger nnn # joshuto
        hexyl
        rink

        kitty
        kitty-themes
    ] ++ lib.optionals config.services.xserver.enable [
        pavucontrol
        xsensors

        kitty
        kitty-themes

        firefox
        ungoogled-chromium

        zathura
        gthumb
        vlc

        feh
        xsel
    ];

    fonts.packages = with pkgs; [
        vollkorn
        alegreya alegreya-sans
        b612
        raleway
    ];
}
