{ config, pkgs, lib, ... }:
let
    interface = "enp3s0";
in
{
    networking.tempAddresses = "disabled";

    networking.dhcpcd = {
        enable = true;
        persistent = true;
        extraConfig = ''
            slaac hwaddr
            noipv4ll

            interface ${interface}
                static ip_address=192.168.178.43/24	
                static routers=192.168.178.1
                static domain_name_servers=192.168.178.1 8.8.8.8

                ia_na 1
        '';
    };

    services.dyndns = {
        enable = true;
        interface = interface;
        passwordFile = "/secrets/dyndns_password_${config.services.dyndns.username}.txt";
    };
}
