{ lib, pkgs, ... }:
{
    imports = [
        <nixos-hardware/lenovo/thinkpad/x270>
    ];
    hardware.trackpoint = {
        enable = true;
        sensitivity = 230;
        speed = 170;
    };

    hardware.graphics = {
        enable = true;
        # driSupport = true;
        # driSupport32Bit = true;
    };

    console = {
        font = "Lat2-Terminus16";
        keyMap = "de";
    };

    boot.kernelParams = [
        # Disable ’Panel Self Refresh’. Fixes random freezes.
        "i915.enable_psr=0"
    ];

    hardware.cpu.intel.updateMicrocode = true;
}
