{ stdenv
, lib
, fetchgit
, resholve
, bash
, file
, vorbis-tools
, flac
, ffmpeg
, unixtools
, exiftool
, makeWrapper
}:
stdenv.mkDerivation rec {
    pname = "transcode";
    version = "0.3.0";
    src = fetchgit {
        url = "https://git.25120.org/fruchti/transcode.git";
        hash = "sha256-BN40KEQUQBRlwxMGWoPf8kya1kk2KveoU4ReASaKzZc=";
    };


    dontConfigure = true;
    dontBuild = true;
    
    buildInputs = [ bash file vorbis-tools flac ffmpeg unixtools.xxd exiftool ];
    nativeBuildInputs = [ makeWrapper ];

    installPhase = ''
        install -D transcode $out/bin/transcode
        wrapProgram $out/bin/transcode \
            --prefix PATH : ${lib.makeBinPath [ bash file vorbis-tools flac ffmpeg unixtools.xxd exiftool ]}
    '';

    # solutions = {
    #     default = {
    #         scripts = [ "bin/transcode" ];
    #         interpreter = "${bash}/bin/bash";
    #         inputs = [ vorbis-tools flac ffmpeg unixtools.xxd exiftool ];
    #     };
    # };

    meta = with lib; {
        homepage = "https://git.25120.org/fruchti/transcode";
        description = "Transcode music from FLAC to MP3 and OGG";
        platforms = platforms.linux;
    };
}
